Ben
Burton
bab@debian.org
7 de Abril de 2003
fixincludes
1

# `fixincludes`

Reduz o número de #includes em ficheiro de código do &kde;

    fixincludes -v, --verbose -e, --experimental -m, --modify ficheiro --help

## Descrição

O `fixincludes` tenta reduzir o número de inclusões (#include) nos ficheiros de código em C++. Muito do processamento deste é específico do código do &kde; e, como tal, poderá não funcionar tão bem com o código das aplicações não-&kde;.

Os seguintes problemas são identificados pelo `fixincludes`:

- A inclusão de ficheiros que já não sejam suportados, mas que ainda existam por compatibilidade com versões mais antigas do Qt/KDE;

- Incluir o mesmo ficheiro várias vezes.

Existe também um modo experimental que tenta remover cada um dos #include's de cada vez (com algumas excepções) para ver se o código compila à mesma. Lembre-se que este modo experimental irá modificar o código original.

Por omissão, o código não será modificado; os problemas identificados simplesmente serão apresentados no 'standard output'.

A lista de ficheiros de C++ a examinar deverá ser indicada na linha de comandos. Se não forem indicados ficheiros, todo o código em C++ dentro e/ou abaixo da pasta actual será examinado (com a excepção das pastas cujo `Makefile.am` contenha `-UQT_NO_COMPAT` ou `-UKDE_NO_COMPAT`)

Este utilitário faz parte do Kit de Desenvolvimento de Software do KDE.

## Opções

`-v, --verbose`

  Modo descritivo. Será mostrada alguma informação adicional de depuração no 'standard output'.

`-e, --experimental`

  O modo experimental, tal como foi descrito, em detalhe. Lembre-se que esta opção implica a `--modify`.

`-m, --modify`

  Assim como escreve as mensagens no 'standard output', efectua de facto as modificações ao código original, de modo a corrigir os problemas encontrados.

## Autores

O `fixincludes` foi criado por Dirk Mueller mueller@kde.org.